package demo.arrays.serverPackage;

public class numbersHolder
	implements org.omg.CORBA.portable.Streamable
{
	public int[] value;
	public numbersHolder()
	{
	}
	public numbersHolder(int[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return numbersHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = numbersHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		numbersHelper.write(out,value);
	}
}


